using System.Collections.Generic;
using Siger.Middlelayer.Repository.Entities;
using Siger.Middlelayer.Repository.Response;
using Siger.Middlelayer.Utility.ImportEntities;

namespace Siger.Middlelayer.Repository.Repositories.Interface
{
    public interface ISigerDict : IApiConfigRepositoryBase<SigerTrDict>
    {
        string GetDictValue(int projectId, string cat, string dkey);

        CommonImportResult ImportDict(IEnumerable<DictTemplate> dicts, int projectid, int userid);
        ResponseBlock GetAllTypes(int projectId);
        IEnumerable<SigerTrDict> GetDataByCat(string cat, int projectId);
    }
}
